<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				$costo_orario = str_replace( ",", ".", save( $_POST['costo_orario'] ) );


				$query = "UPDATE in_tipiintervento SET descrizione=\"$descrizione\"   WHERE idtipointervento=\"".$id_record."\"";

				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni tipo intervento salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idtipointervento = save( $_POST['idtipointervento'] );
				$descrizione = save( $_POST['descrizione'] );

				$query = "INSERT INTO in_tipiintervento( idtipointervento, descrizione, costo_orario, costo_km ) VALUES ( \"".$idtipointervento."\", \"$descrizione\", 0.00, 0.00 )";
				$dbo->query($query);
				$id_record = $idtipointervento;
				array_push( $_SESSION['infos'], "Nuovo tipo di intervento aggiunto!" );
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM in_tipiintervento WHERE idtipointervento=\"".$id_record."\"";
				$dbo->query($query);

				// elimino anche le tariffe collegate ai vari tecnici
				$query="DELETE FROM in_tariffe WHERE idtipointervento=\"".$id_record."\"";
				$dbo->query($query);

				array_push( $_SESSION['infos'], "Tipo di intervento eliminato!" );
			}
			break;
	}
?>
